=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.5+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 21:33:41 +0100

r-cran-freetypeharfbuzz (0.2.5+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #948804)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 20:16:02 +0100
