=== debian/control ===
Source: r-cran-freetypeharfbuzz
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-fontquiver,
# <dh-update-R>do not delete this</dh-update-R>
               libfreetype-dev,
               libharfbuzz-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz.git
Homepage: https://cran.r-project.org/package=freetypeharfbuzz

Package: r-cran-freetypeharfbuzz
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R deterministic computation of text box metrics
 Unlike other tools that dynamically link to the 'Cairo'
 stack, 'freetypeharfbuzz' is statically linked to specific
 versions of the 'FreeType' and 'harfbuzz' libraries (2.9 and 1.7.6
 respectively). This ensures deterministic computation of text box
 extents for situations where reproducible results are crucial (for
 instance unit tests of graphics).
