## r-cran-freetypeharfbuzz 0.2.6%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: freetypeharfbuzz
 Title: Deterministic Computation of Text Box Metrics
-Version: 0.2.5
+Version: 0.2.6
 Authors@R: c(
     person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
     person("RStudio", role = "cph"),
@@ -33,9 +33,9 @@
 LazyData: true
 ByteCompile: true
 Biarch: true
-RoxygenNote: 6.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2018-10-21 22:49:35 UTC; lionel
+Packaged: 2021-01-08 20:59:20 UTC; lionel
 Author: Lionel Henry [aut, cre],
   RStudio [cph],
   David Turner [aut] (FreeType library),
@@ -53,4 +53,4 @@
   Red Hat [cph] (Harfbuzz library)
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-10-30 15:50:14 UTC
+Date/Publication: 2021-01-11 16:20:03 UTC
