=== tools/config/Makefile ===
C99_FLAG = -std=c99
