=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 17:16:23 +0100
