=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-fontquiver,
 # <dh-update-R>do not delete this</dh-update-R>
                libfreetype-dev,
                libharfbuzz-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz.git
 Homepage: https://cran.r-project.org/package=freetypeharfbuzz
