## r-cran-freetypeharfbuzz 0.2.6+dfsg

=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.6+dfsg-4) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit
    Closes: #1120995
  * d/watch:
     - Version=5
     - Point to Archive
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Dec 2025 17:24:14 +0100

r-cran-freetypeharfbuzz (0.2.6+dfsg-3) unstable; urgency=medium

  * Disable reprotest
  * Fix clean target
    Closes: #1046753
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 14:11:37 +0200

r-cran-freetypeharfbuzz (0.2.6+dfsg-2) unstable; urgency=medium

  * Package 'freetypeharfbuzz’ was removed from the CRAN repository.
    The code was obtained from the archive.
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 21:15:12 +0100
