=== debian/watch ===
Version:5

Source: https://cran.r-project.org/src/contrib/Archive/freetypeharfbuzz/
Matching-Pattern: freetypeharfbuzz_([-0-9\.]*).tar.gz
Dversion-Mangle: auto
Repack-Suffix: +dfsg
